Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Class ProbeLibraryImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.objectbase.ProbeLibraryImpl

public class ProbeLibraryImpl
extends BaseImpl
implements Create, CreateS, Drop, DropS, ProbeConfig, ProbeConfigS, ProbeLibraryS, ProbeLibrary

A (singleton) Class, whose instance is used as a container for a global mapping between classnames and their 'default' ProbeMaps. These defaults can be changed by the user, thus allowing him/her to customize the default contents of the ProbeDisplays generated when probing objects.. The normal Swarm simulation will probably only ever contain one instance of this class, namely the probeLibrary object. This object is used for Library Generation of Probes and ProbeMaps: its role is to cache one unique "official" ProbeMap for every Class ever probed during a run of Swarm. These ProbeMaps are generated as they are requested.

Constructor Summary
`ProbeLibraryImpl()`
`ProbeLibraryImpl(Zone aZone)` The create: message creates a new instance of a type with default options.

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.objectbase.ProbeConfig
`getObjectToNotify, setObjectToNotify`

Methods implemented by this class for interface swarm.objectbase.ProbeLibrary
`getCompleteProbeMapFor, getCompleteProbeMapForObject, getCompleteVarMapFor, getCompleteVarMapForObject, getDisplayPrecision, getProbeForMessage$inClass, getProbeForMessage$inObject, getProbeForVariable$inClass, getProbeForVariable$inObject, getProbeMapFor, getProbeMapForObject, getSavedPrecision, isProbeMapDefinedFor, isProbeMapDefinedForObject, setDisplayPrecision, setProbeMap$For, setProbeMap$ForObject, setSavedPrecision`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProbeLibraryImpl

    public ProbeLibraryImpl()

### ProbeLibraryImpl

    public ProbeLibraryImpl(Zone aZone)

  The create: message creates a new instance of a type with default options. The zone argument specifies the source of storage for the new object. The receiving object of this message is a previously defined type object. The message is declared as a class message (with a + declaration tag) to indicate that the message is accepted only by the type object itself rather than an already created instance of the type (which a - declaration tag otherwise defines). The create: message returns the new object just created. This object is an instance of some class selected to implement the type. The class which a type selects to implement an object may be obtained by the getClass message, but is not otherwise visible to the calling program. A caller never refers to any class name when creating objects using these messages, only to type names, which are automatically published as global constants from any @protocol declaration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD